Psychoco Laboratory

SE の備忘録

MediaWiki でログイン必須にすると VisualEditor がエラーになる事への対応

time 2020/03/19

MediaWiki でログイン必須にすると VisualEditor がエラーになる事への対応

sponsored link

概要

MediaWiki を社内の誰でも見られるように設定していたが、込み入ってきた内容になってきたため、閲覧するにもログインが必須になるよう設定変更した。

プライベート wiki にすることはできたが、今度は VisualEditor に切り替える際「apierror-visualeditor-docserver-http: HTTP 500」とエラーが表示されるようになってしまった。

環境

  • Ubuntu 16.04.6 LTS
  • MediaWiki 1.31.1
  • VisualEditor 0.1.0
  • Parsoid 0.10.0

設定手順

プライベート Wiki に設定変更

LocalSettings.php に下記を追記することで、閲覧にもログインが必須なプライベート wiki にすることができた。

API エラーが発生

しかし、今まで問題なく動いていた VisualEditor がエラーになり、切り替えができなくなってしまった。


どうやら api.php 経由のアクセスも弾いているため、動かなくなってしまった様子。

解決方法

散々調べた挙句、公式ドキュメントに回避方法が書いてあった。

上記の設定を入れたところ、認証もできて VisualEditor も起動できるようになった。

以上。

sponsored link

down

コメントする






sponsored link